Update tenant
curl --request PUT \
--url https://api.contracting.kukkingu.software/api/v1/tenants/{tenantId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Acme Corp",
"description": "A leading provider of business solutions.",
"media": [
{
"assetId": "<string>",
"order": 1
}
]
}
'import requests
url = "https://api.contracting.kukkingu.software/api/v1/tenants/{tenantId}"
payload = {
"name": "My Acme Corp",
"description": "A leading provider of business solutions.",
"media": [
{
"assetId": "<string>",
"order": 1
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'My Acme Corp',
description: 'A leading provider of business solutions.',
media: [{assetId: '<string>', order: 1}]
})
};
fetch('https://api.contracting.kukkingu.software/api/v1/tenants/{tenantId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "tnt_cx0o4i8f0g950ul9gijig905",
"name": "My Acme Corp",
"media": [
{
"attachmentId": "<string>",
"slot": "logo",
"order": 123,
"assetId": "ast_z2b3mo8qa5kzptgsu26q2wmh",
"kind": "BRANDING_LOGO",
"status": "PENDING",
"url": "/api/v1/assets/ast_z2b3mo8qa5kzptgsu26q2wmh"
}
],
"createdAt": "2023-10-05T14:48:00.000Z",
"updatedAt": "2023-10-05T14:48:00.000Z",
"description": "A leading provider of business solutions."
}
}{
"error": "ValidationError",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>",
"constraint": "<string>"
}
]
}{
"error": "Unauthorized",
"message": "Unauthorized"
}{
"error": "NotFound",
"message": "Not Found"
}Tenants
Update tenant
Updates an existing tenant by its ID.
PUT
/
api
/
v1
/
tenants
/
{tenantId}
Update tenant
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the tenant.
Example:
"tnt_cx0o4i8f0g950ul9gijig905"
Body
application/json
Request body used to fully replace an existing tenant resource.
Request body used to fully replace an existing tenant resource.
Response
Default Response
Standard success response payload wrapped in a data property.
Tenant resource returned by the API.
Show child attributes
Show child attributes